<?php

date_default_timezone_set('Asia/Kolkata');
require __DIR__.'/../../vendor/autoload.php';
use TeamChat\SDK\Client\APIClient;
use TeamChat\SDK\Client\IAPIClient;
use TeamChat\SDK\Client\HTTPAPIClient;
use TeamChat\SDK\ActivityBroker;
use TeamChat\SDK\Messages\Chatlets\TextChatlet;

$apikey = "3e3f303c4b5a41cfc1a220e3d75afc56";

//IMPORTANT - ASSIGN $apikey to get demo working
$h = new HTTPAPIClient($apikey);

//Instance of broker to which all the handlers are registered
$b = new ActivityBroker();

//Adding one complex handler
$b->onKeyword(function (IAPIClient $c) {
    $c->perform($c->context()->currentRoom()->post(new TextChatlet('Hello World')));
}, 'hi', true);

//Use everything together
$c = new APIClient($h, $b);
$c->run();
