<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace TeamChat\SDK\Activities;

/**
 * Description of MemberAdded.
 *
 * @author Team Chat <support@teamchat.com>
 */
class MemberAdded extends Event
{
    protected $userDetails;

    public function __construct(\stdClass $raw)
    {
        parent::__construct($raw);
        if (property_exists($raw, 'info')) {
            $users = $raw->info->users;
        } else {
            $users = array($raw->replacements->target);
        }
        $this->userDetails = $users;
    }

    public function getUserDetails()
    {
        return $this->userDetails;
    }
}
