<?php

namespace TeamChat\SDK\Messages;

/**
 * @author Team Chat <support@teamchat.com>
 */
class Message implements MessageInterface
{
    const RECIPIENT_P2P = 'p2p';
    const RECIPIENT_ROOM = 'room';

    /**
     * Identifier for the Room or User (email).
     *
     * @var string
     */
    public $recipient_id;

    /**
     * For P2P or Room?
     *
     * @var string
     */
    public $recipient_type;
    /**
     * Return the wire representation of the message which would be generally
     * sent either to a room or to a user.
     */
    public $text;
    public function raw()
    {
        return $this->text;
    }
}
