<?php

namespace TeamChat\SDK\Client;

use TeamChat\SDK\Messages\Message;
use TeamChat\SDK\Room;

/**
 * @author Team Chat <support@teamchat.com>
 */
interface IAPIClient
{
    public function run();
    public function enqueueMessage(Message $message);
    public function consumeNextEvent();
    public function sendNextMessage();
    public function getNewEvents();
    /**
     * @return \TeamChat\SDK\ContextInterface
     */
    public function context();
    public function perform(Room $room);
    public function getRoomId(Room $room);
}
