<?php

namespace TeamChat\SDK\Client;

use TeamChat\SDK\Messages\Message;

/**
 * @author Team Chat <support@teamchat.com>
 */
interface IHTTPAPIClient
{
    public function getEventsSince($timestamp);
    public function postMessage(Message $message);
    public function getTokenCredentials();
    public function createRoom($name, $emails, $welcomeMessage);
    public function getChatletById($id);

    //URL functions
    public function getEventsUrl($after = null);
    public function getRoomsUrl();
}
