<?php

namespace TeamChat\SDK\Data;

/**
 * @author Team Chat <support@teamchat.com>
 */
interface UserDataInterface
{
    public function getEmail();
    public function getPassword();
    public function getToken();
    public function getUserId();
    public function getLastMsgTimestamp();
    public function getAlias($formid);
    public function getLastMsgId();
    public function updateEmail($email);
    public function updatePassword($password);
    public function updateToken($token);
    public function updateUserId($userId);
    public function updateLastMsgTimestamp($lastMsgTimestamp);
    public function updateAlias($formid, $alias);
    public function updateLastMsgId($msgid);
    public function getFlowletData($flowlet);
    public function updateFlowletData($id, $data);
    public function getFlowletForFormid($formid);
    public function updateFlowletFormidMapping($formid, $flowletid);
    public function getFlowletForRoom($roomid);
    public function updateFlowletRoomidMapping($roomid, $flowletid);
    public function formidsByAlias($alias);
}
