<?php

namespace TeamChat\SDK\Messages\Chatlets;

use TeamChat\SDK\Messages\MessageInterface;

/**
 * @author Team Chat <support@teamchat.com>
 */
interface ChatletInterface extends MessageInterface
{
    public function createReply();
    public function createComment();
    public function alias($name);
    public function getAlias();
    public function setXSLTForChatlet($xslt);
    public function setMetaInfo($info);
    public function getMetaInfo();
    public function setLocale($datelocale, $dateformat = null);
    public function setFormId($id);
    public function getFormId();
}
