<?php

namespace TeamChat\SDK\Messages\Chatlets;

/**
 * Description of IncomingChatlet.
 *
 * @author Team Chat <support@teamchat.com>
 */
class IncomingChatlet extends TextChatlet
{
    public function __construct($text, $aliases)
    {
        parent::__construct($text);
        $textObj = json_decode($text);
        if (!empty($textObj) && property_exists($textObj, 'formid')) {
            $this->formId = $textObj->formid;
        }
        if (is_array($aliases)) {
            foreach ($aliases as $alias) {
                $this->alias($alias);
            }
        }
    }
}
