<?php

namespace TeamChat\SDK\Users;

use stdClass;

/**
 * Description of Sender.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Sender
{
    public $name;
    public $email;
    public $id;
    public $imageUrl;
    public $bigImageUrl;

    public function __construct(stdClass $obj = null)
    {
        if (!is_null($obj)) {
            $this->name = $obj->name;
            $this->email = $obj->email;
            $this->id = $obj->userId;
            $this->imageUrl = $obj->imageUrl;
            $this->bigImageUrl = $obj->bigImgUrl;
        }
    }
}
